package assignment2;

import java.util.GregorianCalendar;

public class Dates {
	
	static void printDateTime() {
		GregorianCalendar cal = new GregorianCalendar();
		System.out.println( cal.getTime() );
	}
	
	static void setTheDate(GregorianCalendar cal) {
		cal.set(2000, 0, 1);
		System.out.println( cal.getTime());
	}
	
	static void setDateTime(GregorianCalendar cal) {
		cal.set(1999, 11, 31, 23, 59, 59);
		System.out.println( cal.getTime() );
	}
	
	static void printDateTime1(GregorianCalendar cal) {
		int year = cal.get(GregorianCalendar.YEAR);
		int month = cal.get(GregorianCalendar.MONTH) + 1;
		int day = cal.get(GregorianCalendar.DAY_OF_MONTH);
		int hour = cal.get(GregorianCalendar.HOUR);
		int min = cal.get(GregorianCalendar.MINUTE);
		int s = cal.get(GregorianCalendar.SECOND);
		
		//DD.MM.GGGG SS:MI:SE
		System.out.println(day + "." + month + "." + year + " " +
				hour + ":" + min + ":" + s);
	}
	
	static void compareBirthdays(GregorianCalendar b1, GregorianCalendar b2) {
		if (b1.after(b2))
			System.out.println("Person 1 is younger than person 2");
		else if (b1.before(b2) )	//added to account for the case when the two persons are born on the same date
			System.out.println("Person 1 is older than person 2");
		else System.out.println("They are born on the same date");
	}

}
