package assignment2;

import java.util.GregorianCalendar;

public class Dates {
	
	static void printCurrentDateTime() {
		GregorianCalendar cal = new GregorianCalendar();
		System.out.println(cal.getTime());
	}
	
	static void setDate(GregorianCalendar cal) {
		cal.set(2000, 0, 1);
		System.out.println( cal.getTime() );
	}
	
	static void setDateTime(GregorianCalendar cal) {
		cal.set(1999, 11, 31, 23, 59, 59);
		System.out.println( cal.getTime() );
	}
	
	static void printDateTime(GregorianCalendar cal) {
		int year = cal.get(GregorianCalendar.YEAR);
		int month = cal.get(GregorianCalendar.MONTH) + 1;
		int day = cal.get(GregorianCalendar.DAY_OF_MONTH);
		int hour = cal.get(GregorianCalendar.HOUR);
		int min = cal.get(GregorianCalendar.MINUTE);
		int sec = cal.get(GregorianCalendar.SECOND);
		
		//DD.MM.GGGG SS:MI:SE
		System.out.println(day + "." + month + "." + year + " " +
				hour + ":" + min + ":" + sec);
	}
	
	static void printWhoIsOlder(GregorianCalendar b1, GregorianCalendar b2) {
		if ( b1.after(b2) )
			System.out.println("Older is Person 2");
		else if ( b1.before(b2) ) //added for account for the case when the two persons are born on the same date
			System.out.println("Older is Person 1");
		else System.out.println("They are born on the same date");
	}

}



