package assignment2;

import java.util.GregorianCalendar;

public class Dates {

	static void printCurrentDateTime() {
		GregorianCalendar c = new GregorianCalendar();
		System.out.println(c.getTime());
	}
	
	static void setDate(GregorianCalendar cal) {
		cal.set(2000, 0, 1);
		System.out.println( cal.getTime() );
	}
	
	static void setDateTime(GregorianCalendar cal) {
		cal.set(1999, 11, 31, 23, 59, 59);
		System.out.println( cal.getTime() );
	}
	
	static void printDateTime(GregorianCalendar cal) {
		int year = cal.get(GregorianCalendar.YEAR);
		int month = cal.get(GregorianCalendar.MONTH) +1 ;
		int day = cal.get(GregorianCalendar.DAY_OF_MONTH);
		int hour = cal.get(GregorianCalendar.HOUR);
		int min = cal.get(GregorianCalendar.MINUTE);
		int sec = cal.get(GregorianCalendar.SECOND);
		
		//DD.MM.GGGG SS:MI:SE
		System.out.println(day + "." + month + "." + year + " " +
				hour + ":" + min + ":" + sec);
	}
	
	static void printWhoIsOlder(GregorianCalendar c1, 
								GregorianCalendar c2) {
		if ( c1.after(c2) )
			System.out.println("Person 2 is older than Person 1");
		else if ( c1.before(c2) )
			System.out.println("Person 1 is older than Person 2");
		else
			System.out.println("They are born on the same date");
	}
}




